$ScriptName="SkypeLogSplitter";
$Version="1.2";


use Getopt::Long;

GetOptions ('input=s' => \$InputFile, 'output=s' => \$OutputFolder,'prefix=s' => \$myPrefix) || die "オプション取得エラー :$!\n";

#バージョン表示
print "$ScriptName ver.$Version\n";
print "(c)2008 あんのたん◆PDq1wu.iD.\n";

#ファイル読み込み
open ( FILEHANDLE , "< $InputFile" ) || die "ファイルを開けませんでした :$!\n";
flock(FILEHANDLE, 1);
    while ( <FILEHANDLE> ){
        $NamaData.=$_;
    }
close(FILEHANDLE);

#ヘッダ
($Header,$Body)=split("</p><dl><dd></dd><h3>",$NamaData);
$Header.="</p><dl><dd></dd><h3>";
$Body=~s/<\/dl><A NAME="end_of_document"><\/A><\/BODY><\/HTML>//;

#フッタ
$Footer = << "EOHTML";
</dl><A NAME=\"end_of_document\"></A>
<hr>
<Address><b>Created by $ScriptName ver.$Version</b></Address>
</BODY></HTML>
EOHTML

#日付ごと分割
@SplitedData=split("<h3>",$Body);
foreach(@SplitedData){
    ($myDate,$myBody)=split("</h3>");
    open ( FILEHANDLE , "> $OutputFolder$myPrefix$myDate.html" );
    flock(FILEHANDLE, 2);
    print FILEHANDLE "$Header<h3>$myDate</h3>$myBody$Footer";
    close(FILEHANDLE);
    print "$myDateのログを出力完了\n";
}
